# How To Deploy A Node Using A Snapshot

## Goal

Deploy a node using its node state snapshot.

## Steps

Obtain snapshot via API request:

```bash
$ curl --request POST --url http://<node>/v1/producer/create_snapshot
```

Example:

```bash
$ curl --request POST --url http://127.0.0.1:8888/v1/producer/create_snapshot
```

*Output*

```bash
snaphot-<hash>.bin
```

The file generated is the node state snapshot. This file alone will not be enough to restore your node. You will also need two more blocklog files. These are `blocks.index` and`blocks.log`. Before restoring a node, these files must be in the same place where they were generated.

To deploy node using the node state snapshot, you need to specify path to the snapshot in command line:

```bash
$ nodeos --snapshot <snapshot-directory>/snapshot-<hash>.bin
```

**Important**

> `--snapshot` is incompatible with `--geneis-json` and `--genesis` options as the snapshot contains genesis information.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberway.io/software_manuals/how_to_guides/deploy_node_using_snapshot.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
